How can I get growl.framework

The Growl forums have moved to Google Groups, this forum is read only.
fpearl
Harmless
Posts: 1
Joined: Mon Aug 31, 2009 1:14 am

How can I get growl.framework

Postby fpearl » Mon Aug 31, 2009 1:19 am

I am trying to make an app that uses growl; following a tutorial that says to have growl.framework on the desktop or in my library/frameworks/. I can't find growl.framework installed anywhere (though I have growl installed and it works great). Can someone direct me to the right place? Thanks.

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: How can I get growl.framework

Postby boredzo » Mon Aug 31, 2009 1:54 am

Growl.framework is on the SDK disk image you can download from the Growl website. And you should not put it into Library/Frameworks.

Wooden Brain Concepts
Latté
Posts: 50
Joined: Wed Dec 27, 2006 2:37 am

Re: How can I get growl.framework

Postby Wooden Brain Concepts » Mon Aug 31, 2009 5:12 pm

I'm trying to compile OmniGrowl in Snow Leopard XCode 3.2 and get this build error:

Code: Select all

ld: warning: in /Users/.../OmniGrowl/Growl.framework/Growl, missing required architecture x86_64 in file
 "_OBJC_CLASS_$_GrowlApplicationBridge", referenced from:
  __objc_classrefs__DATA@0 in GrowlObserver.o
ld: symbol(s) not found
collect2: ld returned 1 exit status


Is this a problem with the build settings? Is the framework not updated yet for Snow Leopard? I got the same error with whatever the old framework was and also after updating it to the 1.1.6 SDK.

Thanks.

edit: I changed the build settings from Standard 32/64 to 32 Universal and it compiles now, so I suppose that will do for now ;-)

User avatar
boredzo
Cocoaforge Admin
Posts: 796
Joined: Mon Dec 06, 2004 7:49 am
Contact:

Re: How can I get growl.framework

Postby boredzo » Thu Sep 03, 2009 9:00 am

Wooden Brain Concepts wrote:

Code: Select all

ld: warning: in /Users/.../OmniGrowl/Growl.framework/Growl, missing required architecture x86_64 in file


Two solutions: Either download the 1.2b1 pre-beta build of the framework, or wait for the real 1.2b1, which is coming RSN (or 1.2, which I hope will not be long after that).


Return to “Growl”

Who is online

Users browsing this forum: No registered users